# FileWatchdog Class Reference

List of all members.

## Detailed Description

Check every now and then that a certain file has not changed.

If it has, then call the doOnChange method.

## Public Member Functions

virtual | ~FileWatchdog ()
void | setDelay (long delay1)
| Set the delay to observe between each check of the file changes.
void | start ()

## Static Public Attributes

static long | DEFAULT_DELAY
| The default delay between every file modification check, set to 60 seconds.

## Protected Member Functions

| FileWatchdog (const File &filename)
virtual void | doOnChange ()=0
void | checkAndConfigure ()

## Protected Attributes

File | file
| The name of the file to observe for changes.
long | delay
| The delay to observe between every check.
log4cxx_time_t | lastModif
bool | warnedAlready
volatile unsigned int | interrupted

## Constructor & Destructor Documentation

virtual ~FileWatchdog | ( |  | ) | `[virtual]`

FileWatchdog | ( | const File & | filename | ) | `[protected]`

## Member Function Documentation

void checkAndConfigure | ( |  | ) | `[protected]`

virtual void doOnChange | ( |  | ) | `[protected, pure virtual]`

void setDelay | ( | long | delay1 | ) | `[inline]`

| Set the delay to observe between each check of the file changes.

void start | ( |  | ) |

## Member Data Documentation

long DEFAULT_DELAY `[static]`

| The default delay between every file modification check, set to 60 seconds.

long delay `[protected]`

| The delay to observe between every check. By default set DEFAULT_DELAY.

File file `[protected]`

| The name of the file to observe for changes.

volatile unsigned int interrupted `[protected]`

log4cxx_time_t lastModif `[protected]`

bool warnedAlready `[protected]`

The documentation for this class was generated from the following file:

- filewatchdog.h